<?php
/**
 * @package Iyosis Piwik for Joomla! 1.5
 * @author Remzi Degirmencioglu
 * @copyright (C) 2011 www.iyosis.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); ?>

<?php
// case error
if(!$this->getVisitsLocalTimeData) print("Error, content fetched"); ?>
<div class="widget">
	<div class="widgetTop"><div class="widgetName"><?php echo JText::_( 'Visits by local time' ); ?></div><div class="widgetConf">(<?php echo $this->config->period.", ".$this->config->date ?>)</div></div>
	<div class="widgetContent">
		<table cellspacing="0" class="dataTable"> 
			<tbody>
				<div id="getVisitsPerLocalTime" style="width:100%;height:200px;"></div>
				<script id="source" language="javascript" type="text/javascript">
				jQuery.noConflict();
				jQuery(function () {
					jQuery.jqplot.config.enablePlugins = true;
					getVisitsPerLocalTime = [
					<?php
					$counter = '1';
					foreach($this->getVisitsLocalTimeData as $value)
					{
						$label = str_replace("h", "", $value['label']);
						$visits = $value['nb_visits'] ? $value['nb_visits'] : '0';
						print("['".$label."', ".$visits."]");
						if($counter < '24') print(",");
						++$counter;
					}
					?>
					];

					jQuery.jqplot('getVisitsPerLocalTime', [getVisitsPerLocalTime], {
						highlighter: {
							sizeAdjust: 7.5,
							formatString: '<table style="font-size:15px" class="jqplot-highlighter"><tr><td><b>%s h</b></td></tr><tr><td><b>%d Visits</b></td></tr></table>'
						},
						cursor: {show: false},
						gridPadding:{top:10, right:20, bottom:23, left:50},
						axes:{
							xaxis:{min:0, max:23, numberTicks:24, tickOptions:{markSize: 2, formatString:'%.0f'}},
							yaxis:{min:0, tickOptions:{formatString:'%.0f'}}
						},
						seriesDefaults: {
							lineWidth:1,
							markerOptions:{size: 4}
						}
					});
				});
				</script>
			</tbody>
		</table>
	</div>
</div>
