<?php
/**
 * @package Iyosis Piwik for Joomla! 1.5
 * @author Remzi Degirmencioglu
 * @copyright (C) 2011 www.iyosis.com
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/
 
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' ); ?>


<?php if(!$this->configured) : ?>
<link rel="stylesheet" type="text/css" href="<?php echo (JURI::base() . 'components'.DS.'com_iyosispiwik'.DS.'css' . DS); ?>iyosispiwik.css" />
<table width="100%">
	<tbody>
		<tr>
			<td width="16%"><?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'iyosismenu.php'); ?></td>
			<td>
			<span><?php echo JText::_( '<b>Component configuration not yet complete<br/>Please complete the <a href="index.php?option=com_iyosispiwik&controller=config">configuration</a></b>' ); ?></span>
			</td>
		</tr>
		<tr>
			<td colspan="2" style="text-align:right">
				<span>Installed version: <a target="_blank" href="http://www.iyosis.com/">Iyosis Piwik</a> 0.5 | Copyright: © 2011 <a target="_blank" href="http://www.iyosis.com/">Iyosis.com</a> | License: GNU GPL</span>
			</td>
		</tr>
	</tbody>
</table>
<?php endif; ?>

<?php if(($this->config->method == "auto_login" || $this->config->method == "public_view") && $this->configured) : ?>
<table width="100%">
	<tbody>
		<tr>
			<td colspan="2" style="text-align:right;padding-right:10px;"><b><a href="index.php?option=com_iyosispiwik&controller=config">Iyosis Piwik Configuration</a></b></td>
		</tr>
		<tr>
			<td>
				<iframe src="<?php echo $this->config->httpURL ?>" frameborder="0" marginheight="0" marginwidth="0" width="100%" height="3000px"></iframe>
			</td>
		</tr>
		<tr>
			<td colspan="2" style="text-align:right">
				<span>Installed version: <a target="_blank" href="http://www.iyosis.com/">Iyosis Piwik</a> 0.5 | Copyright: © 2011 <a target="_blank" href="http://www.iyosis.com/">Iyosis.com</a> | License: GNU GPL</span>
			</td>
		</tr>
	</tbody>
</table>
<?php endif; ?>

<?php if($this->config->method == "token_auth" && $this->configured) : ?>

<!--[if IE]><script language="javascript" type="text/javascript" src="<?php echo (JURI::base() . 'components'.DS.'com_iyosispiwik'.DS.'js' . DS); ?>excanvas.min.js"></script><![endif]-->
<?php if($this->task == false || $this->task == "visitors" || $this->task == "engagement" || $this->task == "times" || $this->task == "referrers" || $this->task == "settings") : ?>
<script language="javascript" type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.2/jquery.min.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo (JURI::base() . 'components'.DS.'com_iyosispiwik'.DS.'js' . DS); ?>jquery.jqplot.min.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo (JURI::base() . 'components'.DS.'com_iyosispiwik'.DS.'js' . DS); ?>jqplot.highlighter.min.js"></script>
<script language="javascript" type="text/javascript" src="<?php echo (JURI::base() . 'components'.DS.'com_iyosispiwik'.DS.'js' . DS); ?>jqplot.dateAxisRenderer.min.js"></script>
<link rel="stylesheet" type="text/css" href="<?php echo (JURI::base() . 'components'.DS.'com_iyosispiwik'.DS.'css' . DS); ?>jquery.jqplot.min.css" />
<?php endif; ?>
<?php if($this->task == "settings") : ?>
<script language="javascript" type="text/javascript" src="<?php echo (JURI::base() . 'components'.DS.'com_iyosispiwik'.DS.'js' . DS); ?>jqplot.pieRenderer.min.js"></script>
<?php endif; ?>
<link rel="stylesheet" type="text/css" href="<?php echo (JURI::base() . 'components'.DS.'com_iyosispiwik'.DS.'css' . DS); ?>iyosispiwik.css" />

<table width="100%">
	<tbody>
		<tr>
			<td width="16%"><?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'iyosismenu.php'); ?></td>
			<td width="84%">

				<!-- Dashboard -->
				<?php if ($this->task == false) : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="60%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'visitors.php'); ?>
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'pages.php'); ?>
							</td>
							<td width="40%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'overview.php'); ?>
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'keywords.php'); ?>
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'websites.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<!-- Visitors -->
				<?php if ($this->task == 'visitors') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="100%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'visitors.php'); ?>
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'overview.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<?php if ($this->task == 'engagement') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'returningvisits.php'); ?>
							</td>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'visitduration.php'); ?>
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'visitsperpage.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<?php if ($this->task == 'locations') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'country.php'); ?>
							</td>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'providers.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<?php if ($this->task == 'times') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'visitsperlocaltime.php'); ?>
							</td>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'visitsperservertime.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<?php if ($this->task == 'settings') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'browserfamilies.php'); ?>
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'browsers.php'); ?>
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'plugins.php'); ?>
							</td>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'configurations.php'); ?>
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'operatingsystems.php'); ?>
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'resolutions.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<!-- Actions -->
				<?php if ($this->task == 'pages') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'pages.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<?php if ($this->task == 'pagetitles') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'pagetitles.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<?php if ($this->task == 'outlinks') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'outlinks.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<!-- Referrers -->
				<?php if ($this->task == 'referrers') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="100%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'referrers.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<?php if ($this->task == 'searchengines') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'searchengines.php'); ?>
							</td>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'keywords.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<?php if ($this->task == 'websites') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="50%">
							<?php include (JPATH_COMPONENT_ADMINISTRATOR.DS.'views'.DS.'iyosispiwik'.DS.'tmpl'.DS.'widgets'.DS.'websites.php'); ?>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>

				<?php if ($this->task == 'seo') : ?>
				<table width="100%">
					<tbody>
						<tr>
							<td width="50%">
							<?php
							// case error
							if(!$this->contentWebsitesWidget) print("Error, content fetched"); ?>
							<div class="widget">
								<div class="widgetTop"><div class="widgetName"><?php echo JText::_( 'Seo Rankings' ); ?></div></div>
								<div class="widgetContent">
									<table cellspacing="0" class="dataTable"> 
											<?php
											foreach($this->contentSEOWidget as $row)
											{
											$label = urldecode($row['label']);
											$rank = $row['rank'];
											print("
											<tr id=\"22\" class=\"subDataTable\">
												<td class=\"label labelodd\"><span class=\"label\">$label</span></td>
												<td class=\"columnodd\">$rank</td>
											</tr>");
											}
											?>
											<span style="display: none;" class="loadingPiwik"><img src="http://piwik.deec.de/themes/default/images/loading-blue.gif">Loading data...</span>
										</tbody>
									</table>
								</div>
							</div>
							</td>
						</tr>
					</tbody>
				</table>
				<?php endif; ?>
			</td>
		</tr>
		<tr>
			<td colspan="2" style="text-align:right">
				<span>Installed version: <a target="_blank" href="http://www.iyosis.com/">Iyosis Piwik</a> 0.5 | Copyright: © 2011 <a target="_blank" href="http://www.iyosis.com/">Iyosis.com</a> | License: GNU GPL</span>
			</td>
		</tr>
	</tbody>
</table>
<?php endif; ?>
